aboutsummaryrefslogtreecommitdiffstats
path: root/extras/vagrant/build.sh
diff options
context:
space:
mode:
authorKyle Mestery <mestery@mestery.com>2018-08-10 16:32:13 -0500
committerDave Barach <openvpp@barachs.net>2018-08-14 20:16:51 +0000
commitacc1fbcb5e13961c1fcf1a00952b19b154b296b6 (patch)
tree3b67148a2b99a0a938dd766cfbf90b4009052851 /extras/vagrant/build.sh
parentce96dda4478d8a9ee3e3a6646c3367eb20263e3f (diff)
Make vagrant work behind a proxy
Without this change, I cannot get the in-tree VPP Vagrant to work behind a proxy. This commit fixes that by ensuring when we run sudo we're passing environment variables, amongst some other cleanups. Change-Id: Ica98a1238d40e6e6ccf80c472f52559c95af52f0 Signed-off-by: Kyle Mestery <mestery@mestery.com>
Diffstat (limited to 'extras/vagrant/build.sh')
-rwxr-xr-xextras/vagrant/build.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/extras/vagrant/build.sh b/extras/vagrant/build.sh
index 86ed4cdb184..3a10e707fb9 100755
--- a/extras/vagrant/build.sh
+++ b/extras/vagrant/build.sh
@@ -47,13 +47,13 @@ rm -f build-root/.bootstrap.ok
if [ $OS_ID == "centos" ]; then
echo rpm -V apr-devel
rpm -V apr-devel
- if [ $? != 0 ]; then sudo yum reinstall -y apr-devel;fi
+ if [ $? != 0 ]; then sudo -E yum reinstall -y apr-devel;fi
echo rpm -V ganglia-devel
rpm -V ganglia-devel
- if [ $? != 0 ]; then sudo yum reinstall -y ganglia-devel;fi
+ if [ $? != 0 ]; then sudo -E yum reinstall -y ganglia-devel;fi
echo rpm -V libconfuse-devel
rpm -V libconfuse-devel
- if [ $? != 0 ]; then sudo yum reinstall -y libconfuse-devel;fi
+ if [ $? != 0 ]; then sudo -E yum reinstall -y libconfuse-devel;fi
fi
# Build and install packaging